OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all documented class members with links to the class documentation for each member:

### - i -

- id_t : OpenMesh::VDPM::VHierarchy
- idx() : OpenMesh::BaseHandle
- ILLEGAL_COLLAPSE : OpenMesh::Decimater::ModBaseT< MeshT >
- info() : OpenMesh::Decimater::BaseDecimaterT< MeshT >
- Info() : OpenMesh::Decimater::ModProgMeshT< MeshT >::Info
- infolist() : OpenMesh::Decimater::ModProgMeshT< MeshT >
- InfoList : OpenMesh::Decimater::ModProgMeshT< MeshT >
- init_weights() : OpenMesh::Subdivider::Uniform::LoopT< MeshType, RealType > , OpenMesh::Subdivider::Uniform::ModifiedButterflyT< MeshType, RealType > , OpenMesh::Subdivider::Uniform::InterpolatingSqrt3LGT< MeshType, RealType > , OpenMesh::Subdivider::Uniform::Sqrt3T< MeshType, RealType >
- initialize() : OpenMesh::Decimater::ModHausdorffT< MeshT > , OpenMesh::Decimater::ModNormalDeviationT< MeshT > , OpenMesh::Decimater::ModQuadricT< MeshT > , OpenMesh::Smoother::LaplaceSmootherT< Mesh > , OpenMesh::Smoother::SmootherT< Mesh > , OpenMesh::Subdivider::Adaptive::CompositeT< M > , ModBalancerT< D > , OpenMesh::Decimater::BaseDecimaterT< MeshT > , OpenMesh::Decimater::ModAspectRatioT< MeshT > , OpenMesh::Decimater::ModBaseT< MeshT >
- insert() : OpenMesh::Utils::HeapT< HeapEntry, HeapInterface >
- insert_edge() : OpenMesh::PolyConnectivity
- Instance() : OpenMesh::SingletonT< T >
- interface_ : OpenMesh::Utils::HeapT< HeapEntry, HeapInterface >
- invalidate() : OpenMesh::BaseHandle
- InvalidEdgeHandle : OpenMesh::PolyConnectivity
- InvalidFaceHandle : OpenMesh::PolyConnectivity
- InvalidHalfedgeHandle : OpenMesh::PolyConnectivity
- InvalidVertexHandle : OpenMesh::PolyConnectivity
- is_active() : Gnuplot
- is_binary() : OpenMesh::Decimater::ModBaseT< MeshT > , OpenMesh::Decimater::ModProgMeshT< MeshT >
- is_bit_set() : OpenMesh::Attributes::StatusInfo
- is_boundary() : OpenMesh::ArrayKernel , OpenMesh::PolyConnectivity
- is_collapse_legal() : OpenMesh::Decimater::BaseDecimaterT< MeshT >
- is_collapse_ok() : OpenMesh::PolyConnectivity , OpenMesh::TriConnectivity
- is_empty() : OpenMesh::IO::Options
- is_estimated_feature_edge() : OpenMesh::PolyMeshT< Kernel >
- is_flip_ok() : OpenMesh::TriConnectivity
- is_initialized() : OpenMesh::Decimater::BaseDecimaterT< MeshT >
- is_leaf() : OpenMesh::VDPM::VHierarchyNode
- is_manifold() : OpenMesh::PolyConnectivity
- is_polymesh() : OpenMesh::TriMeshT< Kernel > , OpenMesh::PolyMeshT< Kernel >
- is_root() : OpenMesh::VDPM::VHierarchyNode
- is_simple_link() : OpenMesh::PolyConnectivity
- is_simply_connected() : OpenMesh::PolyConnectivity
- is_stored() : OpenMesh::Utils::HeapT< HeapEntry, HeapInterface >
- is_triangle() : OpenMesh::Concepts::MeshItems::FaceT< Refs_ >
- is_trimesh() : OpenMesh::TriMeshT< Kernel > , OpenMesh::PolyMeshT< Kernel >
- is_valid() : Gnuplot , OpenMesh::BaseHandle , OpenMesh::Decimater::ModHandleT< Module > , OpenMesh::StripifierT< Mesh > , OpenMesh::Utils::Timer
- IsTriangle : OpenMesh::Concepts::MeshItems::FaceT< Refs_ >
- IteratorT() : IteratorT< Mesh >